clang 8.0.0

Public Member Functions | Public Attributes | List of all members
clang::LazyGenerationalUpdatePtr< Owner, T, Update >::LazyData Struct Reference

A cache of the value of this pointer, in the most recent generation in which we queried it. More...

`#include "clang/AST/ExternalASTSource.h"`

Collaboration diagram for clang::LazyGenerationalUpdatePtr< Owner, T, Update >::LazyData:
[legend]

## Public Member Functions
| LazyData (ExternalASTSource *Source, T Value)

## Public Attributes
ExternalASTSource * | ExternalSource
uint32_t | LastGeneration = 0
T | LastValue

## Detailed Description

### template<typename Owner, typename T, void(ExternalASTSource::*)(Owner) Update>
struct clang::LazyGenerationalUpdatePtr< Owner, T, Update >::LazyData

A cache of the value of this pointer, in the most recent generation in which we queried it.

Definition at line 418 of file ExternalASTSource.h.

## Constructor & Destructor Documentation

## ◆ LazyData()

template<typename Owner, typename T, void(ExternalASTSource::*)(Owner) Update>

clang::LazyGenerationalUpdatePtr< Owner, T, Update >::LazyData::LazyData | ( | ExternalASTSource * | Source,
|  | T | Value
| ) |  |
| inline

Definition at line 423 of file ExternalASTSource.h.

## Member Data Documentation

## ◆ ExternalSource

template<typename Owner, typename T, void(ExternalASTSource::*)(Owner) Update>

ExternalASTSource* clang::LazyGenerationalUpdatePtr< Owner, T, Update >::LazyData::ExternalSource

Definition at line 419 of file ExternalASTSource.h.

## ◆ LastGeneration

template<typename Owner, typename T, void(ExternalASTSource::*)(Owner) Update>

uint32_t clang::LazyGenerationalUpdatePtr< Owner, T, Update >::LazyData::LastGeneration = 0

Definition at line 420 of file ExternalASTSource.h.

## ◆ LastValue

template<typename Owner, typename T, void(ExternalASTSource::*)(Owner) Update>

T clang::LazyGenerationalUpdatePtr< Owner, T, Update >::LazyData::LastValue

Definition at line 421 of file ExternalASTSource.h.

The documentation for this struct was generated from the following file:

- include/clang/AST/ExternalASTSource.h